Async Jobs
Create async speech
Submits a speech synthesis request for asynchronous execution. Returns a job ID immediately with HTTP 202. Poll the corresponding GET endpoint with the job ID to retrieve the result. SSE streaming is not supported for async requests.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Header Parameters
x-bf-async-job-result-ttl?integer
Time-to-live in seconds for the job result after completion. Defaults to 3600 (1 hour). After expiry, the job result is automatically cleaned up.
Default
3600modelstring
Model in provider/model format
inputstring
Text to convert to speech
fallbacks?array<string>
stream_format?string
Set to "sse" to enable streaming
Value in
"sse"voicestring | array<object>
instructions?string
response_format?string
Value in
"mp3" | "opus" | "aac" | "flac" | "wav" | "pcm"speed?number
Range
0.25 <= value <= 4language_code?string
pronunciation_dictionary_locators?array<object>
enable_logging?boolean
optimize_streaming_latency?boolean
with_timestamps?boolean
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/v1/async/audio/speech" \ -H "x-bf-async-job-result-ttl: 3600" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "input": "string", "voice": "string" }'{
"id": "string",
"status": "pending",
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"status_code": 0,
"result": null,
"error": {
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}